Fetch a list of Task definitions.
Fetch existing task definitions matching input filters.
curl --request GET \
--url https://mycluster.domino.tech/flows/api/v1/tasks/{id.project}/{id.domain}import requests
url = "https://mycluster.domino.tech/flows/api/v1/tasks/{id.project}/{id.domain}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mycluster.domino.tech/flows/api/v1/tasks/{id.project}/{id.domain}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tasks": [
{
"closure": {
"compiled_task": {
"template": {
"config": {},
"container": {
"architecture": "UNKNOWN",
"args": [
"<string>"
],
"command": [
"<string>"
],
"config": [
{
"key": "<string>",
"value": "<string>"
}
],
"data_config": {
"enabled": true,
"format": "JSON",
"input_path": "<string>",
"io_strategy": {
"download_mode": "DOWNLOAD_EAGER",
"upload_mode": "UPLOAD_ON_EXIT"
},
"output_path": "<string>"
},
"env": [
{
"key": "<string>",
"value": "<string>"
}
],
"image": "<string>",
"ports": [
{
"container_port": 123,
"name": "<string>"
}
],
"resources": {
"limits": [
{
"name": "UNKNOWN",
"value": "<string>"
}
],
"requests": [
{
"name": "UNKNOWN",
"value": "<string>"
}
]
}
},
"custom": {},
"extended_resources": {
"gpu_accelerator": {
"device": "<string>",
"partition_size": "<string>",
"unpartitioned": true
},
"shared_memory": {
"mount_name": "<string>",
"mount_path": "<string>",
"size_limit": "<string>"
}
},
"id": {
"domain": "<string>",
"name": "<string>",
"org": "<string>",
"project": "<string>",
"resource_type": "UNSPECIFIED",
"version": "<string>"
},
"interface": {
"inputs": {
"variables": {}
},
"outputs": {
"variables": {}
}
},
"k8s_pod": {
"data_config": {
"enabled": true,
"format": "JSON",
"input_path": "<string>",
"io_strategy": {
"download_mode": "DOWNLOAD_EAGER",
"upload_mode": "UPLOAD_ON_EXIT"
},
"output_path": "<string>"
},
"metadata": {
"annotations": {},
"labels": {}
},
"pod_spec": {},
"primary_container_name": "<string>"
},
"metadata": {
"cache_ignore_input_vars": [
"<string>"
],
"cache_serializable": true,
"deprecated_error_message": "<string>",
"discoverable": true,
"discovery_version": "<string>",
"generates_deck": true,
"interruptible": true,
"is_eager": true,
"metadata": {
"annotations": {},
"labels": {}
},
"pod_template_name": "<string>",
"retries": {
"retries": 123
},
"runtime": {
"flavor": "<string>",
"type": "OTHER",
"version": "<string>"
},
"tags": {},
"timeout": "<string>"
},
"security_context": {
"run_as": {
"execution_identity": "<string>",
"iam_role": "<string>",
"k8s_service_account": "<string>",
"oauth2_client": {
"client_id": "<string>",
"client_secret": {
"env_var": "<string>",
"group": "<string>",
"group_version": "<string>",
"key": "<string>",
"mount_requirement": "ANY"
}
}
},
"secrets": [
{
"env_var": "<string>",
"group": "<string>",
"group_version": "<string>",
"key": "<string>",
"mount_requirement": "ANY"
}
],
"tokens": [
{
"client": {
"client_id": "<string>",
"client_secret": {
"env_var": "<string>",
"group": "<string>",
"group_version": "<string>",
"key": "<string>",
"mount_requirement": "ANY"
}
},
"idp_discovery_endpoint": "<string>",
"name": "<string>",
"token_endpoint": "<string>",
"type": "CLIENT_CREDENTIALS"
}
]
},
"sql": {
"dialect": "UNDEFINED",
"statement": "<string>"
},
"task_type_version": 123,
"type": "<string>"
}
},
"created_at": "2023-11-07T05:31:56Z"
},
"id": {
"domain": "<string>",
"name": "<string>",
"org": "<string>",
"project": "<string>",
"resource_type": "UNSPECIFIED",
"version": "<string>"
},
"short_description": "<string>"
}
],
"token": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Path Parameters
Name of the project the resource belongs to.
Name of the domain the resource belongs to. A domain can be considered as a subset within a specific project.
Query Parameters
User provided value for the resource. The combination of project + domain + name uniquely identifies the resource. +optional - in certain contexts - like 'List API', 'Launch plans'
Optional, org key applied to the resource.
Indicates the number of resources to be returned. +required
In the case of multiple pages of results, this server-provided token can be used to fetch the next page in a query. +optional
Indicates a list of filters passed as string. More info on constructing filters : +optional
Indicates an attribute to sort the response values. +required
Indicates the direction to apply sort key for response values. +optional
- DESCENDING: By default, fields are sorted in descending order.
DESCENDING, ASCENDING Related topics
Fetch a list of Task definitions (by name)Fetch a Task definition.Fetch a list of Workflow definitions.Fetch a list of NamedEntityIdentifier of task objects.Was this page helpful?
